Earth Engine은 공유 컴퓨팅 리소스를 보호하고 모든 사용자에게 안정적인 성능을 보장하기 위해 비상업적 할당량 등급을 도입합니다. 모든 비상업용 프로젝트는 2026년 4월 27일까지 할당량 등급을 선택해야 하며, 선택하지 않으면 커뮤니티 등급이 기본적으로 사용됩니다. 등급 할당량은 등급 선택 날짜와 관계없이 2026년 4월 27일에 모든 프로젝트에 적용됩니다. 자세히 알아보기
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: projects.locations.tables.create
컬렉션을 사용해 정리하기
내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.
'표' 데이터를 렌더링하는 데 사용할 수 있는 ID를 만듭니다.
GetTableFeatures와 함께 사용됩니다. tables.create 호출은 표현식과 일부 출력 옵션을 제공합니다. tables.create의 결과는 해당 표현식을 평가하고 이러한 옵션을 적용한 결과인 테이블을 나타내는 ID입니다. 그런 다음 GetTableFeatures를 호출하여 결과 테이블 전체의 테이블 데이터를 가져올 수 있습니다. ID는 몇 시간 동안 유효합니다.
이 엔드포인트 쌍의 가장 일반적인 사용 사례는 tables.create에 POST를 통해 복잡한 표현식을 제공한 다음 GetTableFeatures에 GET을 통해 계산된 표를 가져오는 것입니다. 이 두 부분으로 구성된 프로세스를 사용하면 ComputeFeatures보다 더 많은 상황에서 사용할 수 있습니다. 특히 ComputeFeatures의 결과를 전체적으로 가져오려면 페이지로 나누기가 필요합니다. 또한 개별 Feature만 반환됩니다. - ComputeFeatures는 적절한 범위의 OAuth 토큰을 사용하는 승인된 사용자만 호출할 수 있습니다. tables.create에도 동일한 제한사항이 적용되지만 GetTableData는 API 키가 포함된 URL로 호출할 수 있으므로 이를 호출하는 URL을 더 광범위하게 사용할 수 있습니다.
HTTP 요청
POST https://earthengine.googleapis.com/v1beta/{parent=projects/*/locations/*}/tables
[[["이해하기 쉬움","easyToUnderstand","thumb-up"],["문제가 해결됨","solvedMyProblem","thumb-up"],["기타","otherUp","thumb-up"]],[["필요한 정보가 없음","missingTheInformationINeed","thumb-down"],["너무 복잡함/단계 수가 너무 많음","tooComplicatedTooManySteps","thumb-down"],["오래됨","outOfDate","thumb-down"],["번역 문제","translationIssue","thumb-down"],["샘플/코드 문제","samplesCodeIssue","thumb-down"],["기타","otherDown","thumb-down"]],["최종 업데이트: 2025-07-25(UTC)"],[],["`tables.create` generates an ID representing a table from an expression and output options. `GetTableFeatures` then retrieves the table data using this ID. This method is advantageous over `ComputeFeatures` because it allows full table retrieval without pagination and can be accessed via an API key. The process involves a POST request to `tables.create`, providing the expression. The ID is valid for a limited duration, and an authorized user or a public API key is needed to make calls to `GetTableFeatures`.\n"]]